cascading.flow.local.planner

## Class LocalPlanner

- java.lang.Object
- - cascading.flow.planner.FlowPlanner<LocalFlow,java.util.Properties>
  - - cascading.flow.local.planner.LocalPlanner

-     public class LocalPlanner
      extends FlowPlanner<LocalFlow,java.util.Properties>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.planner.FlowPlanner

      `FlowPlanner.IdentityElementFactgory, FlowPlanner.TempTapElementFactory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PLATFORM_NAME`

    - ### Fields inherited from class cascading.flow.planner.FlowPlanner

      `checkpointTapRootPath, defaultAssertionLevel, defaultDebugLevel, defaultProperties, TRACE_PLAN_PATH, TRACE_PLAN_TRANSFORM_PATH, TRACE_STATS_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalPlanner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected LocalFlow` | `createFlow(FlowDef flowDef)`
    `java.util.Properties` | `getDefaultConfig()`
    `FlowStepFactory<java.util.Properties>` | `getFlowStepFactory()`
    `PlannerInfo` | `getPlannerInfo(java.lang.String registryName)`
    `PlatformInfo` | `getPlatformInfo()`
    `protected Tap` | `makeTempTap(java.lang.String prefix, java.lang.String name)`

    - ### Methods inherited from class cascading.flow.planner.FlowPlanner

      `buildFlow, configRuleRegistryDefaults, createFlowElementGraph, getAssertionLevel, getDebugLevel, getDefaultProperties, getFlowNodeFactory, handleExceptionDuringPlanning, initialize, makeTempTap, resolveAssemblyPlanners, resolveTails, verifyAllTaps, verifyAssembly, verifyCheckpoints, verifyPipeAssemblyEndPoints, verifyResult, verifyResultInternal, verifySourceNotSinks, verifyTaps, verifyTraps`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PLATFORM_NAME

          public static final java.lang.String PLATFORM_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalPlanner

          public LocalPlanner()

  - ### Method Detail

    - #### getDefaultConfig

          public java.util.Properties getDefaultConfig()

      Specified by:
        `getDefaultConfig` in class `FlowPlanner<LocalFlow,java.util.Properties>`

    - #### getPlannerInfo

          public PlannerInfo getPlannerInfo(java.lang.String registryName)

      Specified by:
        `getPlannerInfo` in class `FlowPlanner<LocalFlow,java.util.Properties>`

    - #### getPlatformInfo

          public PlatformInfo getPlatformInfo()

      Specified by:
        `getPlatformInfo` in class `FlowPlanner<LocalFlow,java.util.Properties>`

    - #### createFlow

          protected LocalFlow createFlow(FlowDef flowDef)

      Specified by:
        `createFlow` in class `FlowPlanner<LocalFlow,java.util.Properties>`

    - #### getFlowStepFactory

          public FlowStepFactory<java.util.Properties> getFlowStepFactory()

      Specified by:
        `getFlowStepFactory` in class `FlowPlanner<LocalFlow,java.util.Properties>`

    - #### makeTempTap

          protected Tap makeTempTap(java.lang.String prefix,
                        java.lang.String name)

      Specified by:
        `makeTempTap` in class `FlowPlanner<LocalFlow,java.util.Properties>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.